import { browser } from '$app/environment';
import { readable } from 'svelte/store';

export type SensorData = {
	temp: number;
	hum: number;
};

export const sensor = readable<SensorData | null>(null, (set) => {
	if (browser) {
		const source = new EventSource('http://10.50.0.113/events');

		source.addEventListener('open', () => {
			console.log('Connected');
		});

		source.addEventListener('message', (e) => {
			const data: SensorData = JSON.parse(e.data);
			set(data);
		});
	}
});
